package controller;

import javax.servlet.http.HttpSession;

import model.User;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.stereotype.Service;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import service.UserService;


@Controller
public class UserController {
	
	@Autowired
	private UserService userService;
	@RequestMapping(value="/signOn",method=RequestMethod.POST)
	public String signOn(String no,String password,Model model,HttpSession session){
		User user=userService.findUser(no, password);
		if(user!=null){
			session.setAttribute("user", user);
			return "redirect:/employee/selectEmployees";
		}
		model.addAttribute("msg","˺Ż룡");
		return "login";
	}
	@RequestMapping("/signOut")
	public String signOut (HttpSession session){
		
		session.invalidate();
		
		return "login";
	}
}
